<html devsite><head>
    <title>Nexus 安全性公告 - 2016 年 1 月</title>
    <meta name="project_path" value="/_project.yaml"/>
    <meta name="book_path" value="/_book.yaml"/>
  </head>
  <body>
  <!--
      Copyright 2017 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->

<p><em>發佈日期：2016 年 1 月 4 日 | 更新日期：2016 年 4 月 28 日</em></p>

<p>Google 已根據 Android 安全性公佈欄每月發佈程序，透過 OTA 更新機制發佈了 Nexus 裝置的安全性更新。此外，Nexus 韌體映像檔也已經發佈到 <a href="https://developers.google.com/android/nexus/images">Google Developers 網站</a>上。LMY49F
以上版本以及 Android 6.0 (安全修補等級在 2016 年 1 月 1 日之後)
均已解決了下列問題。詳情請參閱<a href="#common_questions_and_answers">常見問題與解答</a>一節。</p>

<p>合作夥伴是在 2015 年 12 月 7 日或之前收到有關公告中
所述問題的通知以及更新資訊。在適用情況下，這些問題的原始碼修補程式已經發佈到 Android 開放原始碼計劃 (AOSP) 存放區。</p>

<p>在這些問題中，最嚴重的就是「最高」等級的安全性漏洞。當系統執行媒體檔案時，遠端程式碼可利用這類漏洞，透過電子郵件、網頁瀏覽活動和多媒體訊息等方法，自動在受影響的裝置上執行。<a href="/security/overview/updates-resources.html#severity">嚴重程度評定標準</a>是假設平台與服務的因應防護措施基於開發作業的需求而被停用，或是遭到有心人士破解，然後推算當有人惡意運用漏洞時，裝置會受到多大的影響，據此評定漏洞的嚴重程度。</p>

<p>針對這些新發現的漏洞，我們目前尚未收到任何客戶回報相關的漏洞濫用案例。如果您想進一步瞭解 <a href="#mitigations">Android 安全性平台防護措施</a>和服務防護措施 (例如 SafetyNet) 如何加強 Android 平台的安全性，請參閱<a href="/security/enhancements/index.html">因應措施</a>一節。我們建議所有客戶接受這些裝置更新。</p>

<h2 id="mitigations">因應措施</h2>

<p>本節概述 <a href="/security/enhancements/index.html">Android 安全性平台</a>和 SafetyNet 等服務防護方案所提供的因應措施。這些措施可有效防範有心人士在 Android 系統上惡意運用安全性漏洞來達到特定目的。</p>

<ul>
  <li>Android 平台持續推出新的版本來強化安全性，因此有心人士越來越難
在 Android 系統上找出漏洞加以利用。我們建議所有使用者盡可能更新至最新版的 Android。
  </li><li>Android 安全性小組採用「驗證應用程式」和 SafetyNet 主動監控濫用情形，這些功能果發現應用程式可能有害，將在安裝作業前發出警告。Google Play 禁止發佈任何可用於獲取裝置 Root 權限的工具。為了保護不是在 Google Play 安裝應用程式的使用者，「驗證應用程式」在預設狀態下會自動啟用並向使用者發出警告，提醒他們留意目前已知的破解程式 (用於取得 Root 權限的應用程式)。「驗證應用程式」會盡可能找出已知會利用權限升級漏洞的惡意應用程式，並封鎖這類應用程式的安裝程序。如果使用者已安裝這類應用程式，「驗證應用程式」會通知使用者，並嘗試移除該應用程式。
  </li><li>在適用情況下，Google Hangouts 和 Messenger 應用程式不會自動將媒體內容傳送給媒體伺服器這類的處理程序。
</li></ul>

<h2 id="acknowledgements">特別銘謝</h2>

<p>感謝以下研究人員做出的貢獻：</p>

<ul>
  <li>Google Chrome 安全性小組成員 Abhishek Arya、Oliver Chang 和 Martin Barbella：CVE-2015-6636</li><li>騰訊 KEEN 實驗室 (<a href="https://twitter.com/k33nteam">@K33nTeam</a>) 的 Sen Nie (<a href="https://twitter.com/@nforest_">@nforest_</a>) 和 jfang：CVE-2015-6637

</li><li>Android Bionic 小組的 Yabin Cui：CVE-2015-6640
  </li><li>Google X 的 Tom Craig：CVE-2015-6641
  </li><li>Jann Horn (<a href="https://thejh.net">https://thejh.net</a>)：CVE-2015-6642
  </li><li>Jouni Malinen PGP 編號 EFC895FA：CVE-2015-5310
  </li><li>Google 資訊安全性工程小組的 Quan Nguyen：CVE-2015-6644
  </li><li>Gal Beniamini (<a href="https://twitter.com/@laginimaineb">@laginimaineb</a>, <a href="http://bits-please.blogspot.com">http://bits-please.blogspot.com</a>)：CVE-2015-6639
</li></ul>

<h2 id="security_vulnerability_details">安全性漏洞詳情</h2>

<p>下列各節針對 2016-01-01 安全性修補程式等級適用的各項安全性漏洞提供了詳細資訊，包括問題說明、嚴重程度評定原因，以及一份漏洞資訊表，顯示漏洞的 CVE、相關錯誤、嚴重程度、最新版本和回報日期。如果相關錯誤有 AOSP 變更，該錯誤 ID 會連結到相對應的變更。假如單一錯誤有多項相關變更，您可以透過該錯誤 ID 後面的編號連結開啟額外的 AOSP 參考資料。</p>

<h3 id="remote_code_execution_vulnerability_in_mediaserver">媒體伺服器中的遠端程式碼執行漏洞</h3>

<p>在處理某些特殊的媒體檔案及資料時，攻擊者
可能會利用媒體伺服器中的漏洞造成記憶體出錯，
並執行遠端程式碼當做媒體伺服器處理程序。</p>

<p>受影響的功能是作業系統的核心部分，而多個應用程式都允許遠端內容連到這項功能，其中最常見的內容是多媒體訊息和瀏覽器中播放的媒體。</p>

<p>由於這個問題可能會讓遠端程式碼在媒體伺服器服務環境內執行，因此嚴重程度被評定為「最高」。媒體伺服器服務能夠存取音訊和視訊串流，以及第三方應用程式一般無法存取的權限。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>錯誤 (附有 Android 開放原始碼計劃連結)</th>
    <th>嚴重程度</th>
    <th>需要更新的版本</th>
    <th>回報日期</th>
 </tr>
 <tr>
    <td rowspan="2">CVE-2015-6636</td>
    <td><a href="https://android.googlesource.com/platform%2Fexternal%2Flibhevc/+/b9f7c2c45c6fe770b7daffb9a4e61522d1f12d51#">ANDROID-25070493</a></td>
    <td>最高</td>
    <td>5.0、5.1.1、6.0、6.0.1</td>
    <td>Google 內部資訊</td>
 </tr>
 <tr>
    <td><a href="https://android.googlesource.com/platform%2Fexternal%2Flibhevc/+/e8bfec1fa41eafa1fd8e05d0fdc53ea0f2379518">ANDROID-24686670</a></td>
    <td>最高</td>
    <td>5.0、5.1.1、6.0、6.0.1</td>
    <td>Google 內部資訊</td>
 </tr>
</tbody></table>

<h3 id="elevation_of_privilege_vulnerability_in_misc-sd_driver">misc-sd 驅動程式中的權限升級漏洞</h3>

<p>MediaTek 所提供的 misc-sd 驅動程式中有一項權限
升級漏洞，可讓本機惡意應用程式在核心內執行任何
程式碼。由於這個問題可能導致本機裝置受到
永久性破壞，使裝置必須以還原 (Re-flash) 作業系統的方式
才能修復，因此嚴重程度被評定為「最高」。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>錯誤</th>
    <th>嚴重程度</th>
    <th>需要更新的版本</th>
    <th>回報日期</th>
 </tr>
 <tr>
    <td>CVE-2015-6637</td>
    <td>ANDROID-25307013*</td>
    <td>最高</td>
    <td>4.4.4、5.0、5.1.1、6.0、6.0.1</td>
    <td>2015 年 10 月 26 日</td>
 </tr>
</tbody></table>

<p>* 這個問題的修補程式並未放在 AOSP 中，而是包含在最新的 Nexus 裝置專用二進位檔驅動程式中。您可以前往 <a href="https://developers.google.com/android/nexus/drivers">Google Developers 網站</a>下載這些驅動程式。</p>

<h3 id="elevation_of_privilege_vulnerability_in_the_imagination_technologies_driver">Imagination Technologies 驅動程式中的權限升級漏洞</h3>

<p>Imagination Technologies 核心驅動程式中的權限升級漏洞
可讓本機惡意應用程式在核心內執行任何
程式碼。由於這個問題可能導致本機裝置受到
永久性破壞，使裝置必須以還原 (Re-flash) 作業系統的方式
才能修復，因此嚴重程度被評定為「最高」。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>錯誤</th>
    <th>嚴重程度</th>
    <th>需要更新的版本</th>
    <th>回報日期</th>
 </tr>
 <tr>
    <td>CVE-2015-6638</td>
    <td>ANDROID-24673908*</td>
    <td>最高</td>
    <td>5.0、5.1.1、6.0、6.0.1</td>
    <td>Google 內部資訊</td>
 </tr>
</tbody></table>

<p>* 這個問題的修補程式並未放在 AOSP 中，而是包含在最新的 Nexus 裝置專用二進位檔驅動程式中。您可以前往 <a href="https://developers.google.com/android/nexus/drivers">Google Developers 網站</a>下載這些驅動程式。</p>

<h3 id="elevation_of_privilege_vulnerabilities_in_trustzone">Trustzone 中的權限升級漏洞</h3>

<p>Widevine QSEE TrustZone 應用程式中的權限升級漏洞
可讓擁有 QSEECOM 存取權的應用程式在受到破壞且取得
授權的情況下，在 Trustzone 環境中執行任何程式碼。由於這個問題
可能導致本機裝置受到永久性破壞，
使裝置必須以還原 (Re-flash) 作業系統的方式才能修復，
因此嚴重程度被評定為「最高」。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>錯誤</th>
    <th>嚴重程度</th>
    <th>需要更新的版本</th>
    <th>回報日期</th>
 </tr>
 <tr>
    <td>CVE-2015-6639</td>
    <td>ANDROID-24446875*</td>
    <td>最高</td>
    <td>5.0、5.1.1、6.0、6.0.1</td>
    <td>2015 年 9 月 23 日</td>
 </tr>
 <tr>
    <td>CVE-2015-6647</td>
    <td>ANDROID-24441554*</td>
    <td>最高</td>
    <td>5.0、5.1.1、6.0、6.0.1</td>
    <td>2015 年 9 月 27 日</td>
 </tr>
</tbody></table>

<p>* 這個問題的修補程式並未放在 AOSP 中，而是包含在最新的 Nexus 裝置專用二進位檔驅動程式中。您可以前往 <a href="https://developers.google.com/android/nexus/drivers">Google Developers 網站</a>下載這些驅動程式。</p>

<h3 id="elevation_of_privilege_vulnerability_in_kernel">核心中的權限升級漏洞</h3>

<p>核心中的權限升級漏洞可讓本機
惡意應用程式在核心中執行任何程式碼。由於這個問題
可能導致本機裝置受到永久性破壞，
使裝置必須以還原 (Re-flash) 作業系統的方式才能修復，
因此嚴重程度被評定為「最高」。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>錯誤 (附有 AOSP 連結)</th>
    <th>嚴重程度</th>
    <th>需要更新的版本</th>
    <th>回報日期</th>
 </tr>
 <tr>
    <td>CVE-2015-6640</td>
    <td><a href="https://android.googlesource.com/kernel%2Fcommon/+/69bfe2d957d903521d32324190c2754cb073be15">ANDROID-20017123</a></td>
    <td>最高</td>
    <td>4.4.4、5.0、5.1.1、6.0</td>
    <td>Google 內部資訊</td>
 </tr>
</tbody></table>

<h3 id="elevation_of_privilege_vulnerability_in_bluetooth">藍牙中的權限升級漏洞</h3>

<p>藍牙元件中的權限升級漏洞可讓透過藍牙
完成配對的遠端裝置取得使用者私人資訊 (聯絡人) 的
存取權。由於這個問題可用於遠端取得「<a href="http://developer.android.com/guide/topics/manifest/permission-element.html#plevel">危險的</a>」權限 (只有安裝在本機的第三方應用程式才能存取這類權限)，因此嚴重程度被評定為「高」。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>錯誤 (附有 Android 開放原始碼計劃連結)</th>
    <th>嚴重程度</th>
    <th>需要更新的版本</th>
    <th>回報日期</th>
 </tr>
 <tr>
    <td>CVE-2015-6641</td>
    <td><a href="https://android.googlesource.com/platform%2Fpackages%2Fapps%2FSettings/+/98f11fd1a4752beed56b5fe7a4097ec0ae0c74b3">ANDROID-23607427</a> [<a href="https://android.googlesource.com/platform%2Fframeworks%2Fbase/+/ccbe7383e63d7d23bac6bccc8e4094fe474645ec">2</a>]</td>
    <td>高</td>
    <td>6.0、6.0.1</td>
    <td>Google 內部資訊</td>
 </tr>
</tbody></table>

<h3 id="information_disclosure_vulnerability_in_kernel">核心中的資訊外洩漏洞</h3>

<p>核心中的資訊外洩漏洞可讓有心人士用來
規避系統中用於防範攻擊者惡意運用平台的
安全措施。由於這些問題也能用來取得進階功能 (例如 <a href="http://developer.android.com/guide/topics/manifest/permission-element.html#plevel">Signature</a> 或 <a href="http://developer.android.com/guide/topics/manifest/permission-element.html#plevel">SignatureOrSystem</a> 等第三方應用程式無法存取的權限)，因此嚴重程度被評定為「高」。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>錯誤</th>
    <th>嚴重程度</th>
    <th>需要更新的版本</th>
    <th>回報日期</th>
 </tr>
 <tr>
    <td>CVE-2015-6642</td>
    <td>ANDROID-24157888*</td>
    <td>高</td>
    <td>4.4.4、5.0、5.1.1、6.0</td>
    <td>2015 年 9 月 12 日</td>
 </tr>
</tbody></table>
<p>* 這個問題的修補程式並未放在 AOSP 中，而是包含在最新的 Nexus 裝置專用二進位檔驅動程式中。您可以前往 <a href="https://developers.google.com/android/nexus/drivers">Google Developers 網站</a>下載這些驅動程式。</p>

<h3 id="elevation_of_privilege_vulnerability_in_setup_wizard">設定精靈中的權限升級漏洞</h3>

<p>設定精靈中的權限升級漏洞可讓能夠實際
操作裝置的攻擊者取得裝置設定存取權，並
手動執行裝置重設作業。有心人士可藉此
規避恢復原廠設定的防護機制，因此這個問題的嚴重程度被評定
為「中」。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>錯誤 (附有 Android 開放原始碼計劃連結)</th>
    <th>嚴重程度</th>
    <th>需要更新的版本</th>
    <th>回報日期</th>
 </tr>
 <tr>
    <td>CVE-2015-6643</td>
    <td><a href="https://android.googlesource.com/platform/packages/apps/Settings/+/665ac7bc29396fd5af2ecfdfda2b9de7a507daa0">ANDROID-25290269</a> [<a href="https://android.googlesource.com/platform/packages/apps/Settings/+/a7ff2e955d2509ed28deeef984347e093794f92b">2</a>]</td>
    <td>中</td>
    <td>5.1.1、6.0、6.0.1</td>
    <td>Google 內部資訊</td>
 </tr>
</tbody></table>

<h3 id="elevation_of_privilege_vulnerability_in_wi-fi">Wi-Fi 中的權限升級漏洞</h3>

<p>Wi-Fi 元件中的權限升級漏洞可讓
鄰近本機的攻擊者取得 Wi-Fi 服務相關資訊的存取權。
只有鄰近本機的裝置才會受到這個問題影響。由於這個問題可用於遠端取得「<a href="http://developer.android.com/guide/topics/manifest/permission-element.html#plevel">一般</a>」權限 (只有安裝在本機的第三方應用程式才能存取這類權限)，因此嚴重程度被評定為「中」。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>錯誤 (附有 Android 開放原始碼計劃連結)</th>
    <th>嚴重程度</th>
    <th>需要更新的版本</th>
    <th>回報日期</th>
 </tr>
 <tr>
    <td>CVE-2015-5310</td>
    <td><a href="https://android.googlesource.com/platform%2Fexternal%2Fwpa_supplicant_8/+/1e9857b5f1dd84ac5a0ada0150b1b9c87d44d99d">ANDROID-25266660</a></td>
    <td>中</td>
    <td>4.4.4、5.0、5.1.1、6.0、6.0.1</td>
    <td>2015 年 10 月 25 日</td>
 </tr>
</tbody></table>

<h3 id="information_disclosure_vulnerability_in_bouncy_castle">Bouncy Castle 中的資訊外洩漏洞</h3>

<p>Bouncy Castle 中的資訊外洩漏洞可讓本機
惡意應用程式取得使用者私人資訊的存取權。由於這個問題可用於不當取得「<a href="http://developer.android.com/guide/topics/manifest/permission-element.html#plevel">危險的</a>」權限，因此嚴重程度被評定為「中」。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>錯誤 (附有 Android 開放原始碼計劃連結)</th>
    <th>嚴重程度</th>
    <th>需要更新的版本</th>
    <th>回報日期</th>
 </tr>
 <tr>
    <td>CVE-2015-6644</td>
    <td><a href="https://android.googlesource.com/platform/external/bouncycastle/+/3e128c5fea3a0ca2d372aa09c4fd4bb0eadfbd3f">ANDROID-24106146</a></td>
    <td>中</td>
    <td>4.4.4、5.0、5.1.1、6.0、6.0.1</td>
    <td>Google 內部資訊</td>
 </tr>
</tbody></table>

<h3 id="denial_of_service_vulnerability_in_syncmanager">SyncManager 中的拒絕服務漏洞</h3>

<p>SyncManager 中的拒絕服務漏洞可能會讓本機惡意應用程式造成裝置不斷重新啟動。由於這個問題可用來造成本機暫時拒絕服務，而這種情況可能必須透過恢復原廠設定的方式才能修正，因此嚴重程度被評定為「中」。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>錯誤 (附有 Android 開放原始碼計劃連結)</th>
    <th>嚴重程度</th>
    <th>需要更新的版本</th>
    <th>回報日期</th>
 </tr>
 <tr>
    <td>CVE-2015-6645</td>
    <td><a href="https://android.googlesource.com/platform%2Fframeworks%2Fbase/+/c0f39c1ece72a05c796f7ba30b7a2b5b580d5025">ANDROID-23591205</a></td>
    <td>中</td>
    <td>4.4.4、5.0、5.1.1、6.0</td>
    <td>Google 內部資訊</td>
 </tr>
</tbody></table>

<h3 id="attack_surface_reduction_for_nexus_kernels">縮減 Nexus 核心的受攻擊面</h3>

<p>所有 Android 核心都不支援 SysV IPC。由於這項支援功能會曝露額外的受攻擊面，既無法新增系統功能，又可能被惡意應用程式利用，因此我們已將此功能從作業系統中移除。此外，System V IPC 與 Android 的應用程式生命週期並不相容，原因是記憶體管理程式無法釋出分配的資源，導致全域核心資源漏出的情況發生。這項變更解決了如 CVE-2015-7613 這類的問題。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>錯誤</th>
    <th>嚴重程度</th>
    <th>需要更新的版本</th>
    <th>回報日期</th>
 </tr>
 <tr>
    <td>CVE-2015-6646</td>
    <td>ANDROID-22300191*</td>
    <td>中</td>
    <td>6.0</td>
    <td>Google 內部資訊</td>
 </tr>
</tbody></table>

<p>* 這個問題的修補程式並未放在 AOSP 中，而是包含在最新的 Nexus 裝置專用二進位檔驅動程式中。您可以前往 <a href="https://developers.google.com/android/nexus/drivers">Google Developers 網站</a>下載這些驅動程式。</p>

<h3 id="common_questions_and_answers">常見問題與解答</h3>

<p>如果您在閱讀這篇公告後有任何疑問，建議您查看本節的常見問答。</p>

<p><strong>1. 如何判斷我目前的裝置軟體版本是否已修正這些問題？</strong></p>

<p>LMY49F 以上版本以及 Android 6.0 (安全修補等級在 2016 年 1 月 1 日之後) 均已解決了下列問題。請參閱 <a href="https://support.google.com/nexus/answer/4457705">Nexus 說明文件</a>，瞭解如何查看安全性修補程式等級。提供這些更新的裝置製造商應將修補程式字串等級設定為：[ro.build.version.security_patch]:[2016-01-01]</p>

<h2 id="revisions">修訂版本</h2>

<ul>
  <li>2016 年 1 月 4 日：發佈公告。
  </li><li>2016 年 1 月 6 日：修訂公告內容 (加入 Android 開放原始碼計劃連結)。
  </li><li>2016 年 4 月 28 日：從特別銘謝名單中移除 CVE-2015-6617，並且在摘要表格中加入 CVE-2015-6647</li></ul></body></html>